petsc-3.4.2 2013-07-02

# MatCoarsenSetAdjacency

Sets the adjacency graph (matrix) of the thing to be partitioned.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenSetAdjacency(MatCoarsen agg, Mat adj)

Collective on MatCoarsen and Mat

### Input Parameters

| agg | - the coarsen context
| adj | - the adjacency matrix

### Keywords

Coarsen, adjacency

### See Also

MatCoarsenCreate()

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages